Subject: Re: [PATCH 0/9] netpoll: Cleanup received packet processing

From: [email-masked] (Eric W. Biederman)
Date: Fri, 14 Mar 2014 20:39:08 -0700

David Miller <[email-masked]> writes:

> From: [email-masked] (Eric W. Biederman)
> Date: Fri, 14 Mar 2014 18:30:14 -0700
>
>> This is the long-winded, careful, and polite version of removing the netpoll
>> receive packet processing.
>> 
>> First I untangle the code in small steps.  Then I modify the code to not
>> force reception and dropping of packets when we are transmiting a packet
>> with netpoll.  Finally I move all of the packet reception under
>> CONFIG_NETPOLL_TRAP and delete CONFIG_NETPOLL_TRAP.
>> 
>> If someone wants to do a stable backport it would take backporting
>> the first 18 patches that handle the budget == 0 in the networking
>> drivers, and the first 5 of these patches.
>> 
>> If anyone wants to resurrect netpoll packet reception someday it should
>> just be a matter of reverting the last patch.
>
> This looks great, but it doesn't apply cleanly to net-next, please
> respin.

Doh!  It looks like I dropped the first patch by accident.
Resend coming up.

Eric